mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.IObjectReference System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true)

A is a serializable representation of an object that extends (MBR). A is used to transfer an object reference across a boundary. Creating a for an object is known as marshaling. You can create a (marshal a ) either explicitly, by registering the MBR object with the remoting infrastructure (see and ), or implicitly, by passing an MBR object as a parameter when calling a remote object. Remoting uses objects to store and transmit all the relevant information about the being remoted.

The contains information that describes the and class of the object being marshaled, its exact location, and communication-related information on how to reach the remoting subdivision where the object is located.

After a class implementing is marshaled, the that represents it is transferred through a channel into another application domain, possibly in another process or computer. When the is deserialized (see [<topic://cpconserialization>]) in the target application domain, it is parsed to create a transparent proxy for the remote MBR object. This operation is known as unmarshaling.

A transparent proxy is an object that provides the illusion that the actual object resides in the client's space. It achieves this by forwarding calls made on it to the real object using the remoting infrastructure. The transparent proxy is itself housed by an instance of a managed run-time class of type . The implements a part of the functionality needed to forward the operations from the transparent proxy.

A proxy object can be used without regard to any remoting subdivisions within a . Applications need not distinguish between proxy references and object references. However, service providers dealing with issues such as activation, lifetime management, and transactions need to make such distinctions.

This class makes a link demand and an inheritance demand at the class level. A is thrown when either the immediate caller or the derived class does not have infrastructure permission. For details about security demands, see [<topic://cpconLinkDemands>] and [<topic://cpconInheritanceDemands>].

Stores all relevant information required to generate a proxy in order to communicate with a remote object.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with default values.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class to reference a specified of a specified .

  The object that the new instance will reference.
  The of the object that the new instance will reference.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see .

  Initializes a new instance of the class from serialized data.

  The object that holds the serialized object data.
  The contextual information about the source or destination of the exception.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  get: System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.Runtime.Remoting.IChannelInfo To be added: an object of type 'IChannelInfo'

  The current property holds information contributed by active channels in the process, when the is created (see for details on marshaling). This information can be used by the channels in other processes or application domains to decide whether or not to create a transport sink to communicate with the object represented by the current instance.

  Gets or sets the for the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.IEnvoyInfo To be added: an object of type 'IEnvoyInfo'

  The current property contains a serialized chain of message sinks that gets regenerated when a proxy is created to represent the object. This is used for bound object types only, and represents the groups of objects that provide such run-time services as transactions.

  Gets or sets the for the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The current method fills the provided with all the data needed to recreate the .

  The current method is an implementation of .

  Populates a specified with the data needed to serialize the current instance.

  The to populate with data. The contextual information about the source or destination of the serialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The current method is called during the fix-up stage of deserialization.

  Returns a reference to the remote object that the describes.

  A reference to the remote object that the describes.

  The context where the current object resides.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Returns a Boolean value that indicates whether the current instance references an object located in the current .

  A Boolean value that indicates whether the current instance references an object located in the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.Boolean To be added

  Returns a Boolean value that indicates whether the current instance references an object located in the current process.

  A Boolean value that indicates whether the current instance references an object located in the current process.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.IRemotingTypeInfo To be added: an object of type 'IRemotingTypeInfo'

  contains detailed information about the type of remote object represented by the current . The current property contains a list of interfaces that the type implements, as well as the type hierarchy. This information might be used to refine the proxy incrementally to adjust to the client's view of the remote object's type.

  Gets or sets the for the object that the describes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  A URI uniquely identifies the specific object instance.

  Gets or sets the URI of the specific object instance.